std::bad_weak_ptr(3)

NAME
std::bad_weak_ptr - Exception possibly thrown by shared_ptr.

SYNOPSIS

Inherits std::exception.

  Public Member Functions
virtual char const * what () const noexcept

Detailed Description

Exception possibly thrown by shared_ptr.

Definition at line 76 of file shared_ptr_base.h.

Member Function Documentation

  virtual char const* std::bad_weak_ptr::what () const [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.